/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

const React = require("react");
const PropTypes = require("prop-types");
import InlineSVG from "svg-inline-react";

const svg = {
  "open-inspector": require("./open-inspector.svg"),
  "jump-definition": require("./jump-definition.svg"),
};

Svg.propTypes = {
  className: PropTypes.string,
};

function Svg(name, props) {
  if (!svg[name]) {
    throw new Error("Unknown SVG: " + name);
  }
  let className = name;
  if (props && props.className) {
    className = `${name} ${props.className}`;
  }
  if (name === "subSettings") {
    className = "";
  }
  props = Object.assign({}, props, { className, src: svg[name] });
  return React.createElement(InlineSVG, props);
}

module.exports = Svg;
